#import "BytedeskPushPlugin.h"

@implementation BytedeskPushPlugin

+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  //
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"bytedesk_push"
            binaryMessenger:[registrar messenger]];
  BytedeskPushPlugin* instance = [[BytedeskPushPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  //
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
